xml_path {xml2} | R Documentation

## Retrieve the xpath to a node

### Description

This is useful when you want to figure out where nodes matching an xpath expression live in a document.

### Usage

    xml_path(x)

### Arguments

`x` | A document, node, or node set.

### Value

A character vector.

### Examples

    x <- read_xml("<foo><bar><baz /></bar><baz /></foo>")
    xml_path(xml_find_all(x, ".//baz"))

[Package xml2 version 1.0.0 Index]